# DataExchange
TKSTEP209
StepFEA

# StepFEA_Array1OfCurveElementEndRelease Class Reference

`#include <StepFEA_Array1OfCurveElementEndRelease.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepFEA_Array1OfCurveElementEndRelease (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepFEA_Array1OfCurveElementEndRelease (const Handle(StepFEA_CurveElementEndRelease)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepFEA_CurveElementEndRelease)&V)
Standard_EXPORT void | Destroy ()
| ~StepFEA_Array1OfCurveElementEndRelease ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepFEA_Array1OfCurveElementEndRelease & | Assign (const StepFEA_Array1OfCurveElementEndRelease &Other)
const StepFEA_Array1OfCurveElementEndRelease & | operator= (const StepFEA_Array1OfCurveElementEndRelease &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepFEA_CurveElementEndRelease)&Value)
const Handle_StepFEA_CurveElementEndRelease & | Value (const Standard_Integer Index) const
const Handle_StepFEA_CurveElementEndRelease & | operator() (const Standard_Integer Index) const
Handle_StepFEA_CurveElementEndRelease & | ChangeValue (const Standard_Integer Index)
Handle_StepFEA_CurveElementEndRelease & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepFEA_Array1OfCurveElementEndRelease (const StepFEA_Array1OfCurveElementEndRelease &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_Array1OfCurveElementEndRelease::StepFEA_Array1OfCurveElementEndRelease | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepFEA_Array1OfCurveElementEndRelease::StepFEA_Array1OfCurveElementEndRelease | ( | const Handle(StepFEA_CurveElementEndRelease)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepFEA_Array1OfCurveElementEndRelease::~StepFEA_Array1OfCurveElementEndRelease | ( |  | ) | `[inline]`

Standard_EXPORT StepFEA_Array1OfCurveElementEndRelease::StepFEA_Array1OfCurveElementEndRelease | ( | const StepFEA_Array1OfCurveElementEndRelease & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepFEA_Array1OfCurveElementEndRelease& StepFEA_Array1OfCurveElementEndRelease::Assign | ( | const StepFEA_Array1OfCurveElementEndRelease & | Other | ) |

Handle_StepFEA_CurveElementEndRelease& StepFEA_Array1OfCurveElementEndRelease::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepFEA_Array1OfCurveElementEndRelease::Destroy | ( |  | ) |

Standard_EXPORT void StepFEA_Array1OfCurveElementEndRelease::Init | ( | const Handle(StepFEA_CurveElementEndRelease)& | V | ) |

Standard_Boolean StepFEA_Array1OfCurveElementEndRelease::IsAllocated | ( |  | ) | const

Standard_Integer StepFEA_Array1OfCurveElementEndRelease::Length | ( |  | ) | const

Standard_Integer StepFEA_Array1OfCurveElementEndRelease::Lower | ( |  | ) | const

void StepFEA_Array1OfCurveElementEndRelease::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepFEA_Array1OfCurveElementEndRelease::operator new | ( | size_t | size | ) | `[inline]`

void* StepFEA_Array1OfCurveElementEndRelease::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepFEA_CurveElementEndRelease& StepFEA_Array1OfCurveElementEndRelease::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepFEA_CurveElementEndRelease& StepFEA_Array1OfCurveElementEndRelease::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepFEA_Array1OfCurveElementEndRelease& StepFEA_Array1OfCurveElementEndRelease::operator= | ( | const StepFEA_Array1OfCurveElementEndRelease & | Other | ) | `[inline]`

void StepFEA_Array1OfCurveElementEndRelease::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepFEA_CurveElementEndRelease)& | Value
| ) |

Standard_Integer StepFEA_Array1OfCurveElementEndRelease::Upper | ( |  | ) | const

const Handle_StepFEA_CurveElementEndRelease& StepFEA_Array1OfCurveElementEndRelease::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepFEA_Array1OfCurveElementEndRelease::isAllocated `[private]`

Standard_Integer StepFEA_Array1OfCurveElementEndRelease::myLowerBound `[private]`

Standard_Address StepFEA_Array1OfCurveElementEndRelease::myStart `[private]`

Standard_Integer StepFEA_Array1OfCurveElementEndRelease::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepFEA_Array1OfCurveElementEndRelease.hxx